﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Stimulsoft.Report;

namespace MyClassNamespace
{
    public class MyClass
    {
        public static string GetUserText()
        {
            return "Text from User Function";
        }
    }
}

namespace WebViewer_UserFunction
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string appDirectory = HttpContext.Current.Server.MapPath(string.Empty);
            string reportPart = appDirectory + "\\SampleReport.mrt";

            StiReport report = new StiReport();
            report.Load(reportPart);
            report.Script = string.Format("using MyClassNamespace;\n{0}", report.Script);

            string[] referencedAssemblies = new string[report.ReferencedAssemblies.Length + 1];
            report.ReferencedAssemblies.CopyTo(referencedAssemblies, 0);
            referencedAssemblies[referencedAssemblies.Length - 1] = "WebViewer_UserFunction.dll";
            report.ReferencedAssemblies = referencedAssemblies;

            StiWebViewer1.Report = report;
        }
    }
}
